function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import * as React from 'react';
import superagent from 'superagent';
import "./index.less";
export default function Icon(props) {
  var classNameHandle = function classNameHandle() {
    return props.className ? "icon ".concat(props.className) : 'icon';
  };

  var _React$useState = React.useState(''),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      htmlString = _React$useState2[0],
      setHtmlString = _React$useState2[1];

  var anticonRef = React.useRef();
  React.useEffect(function () {
    superagent.get(props.src).end(function (err, res) {
      if (!err) {
        setHtmlString(res.text);
      }
    });
  }, []); // 去掉 svg 里的 title

  React.useEffect(function () {
    var div = anticonRef.current;
    var svg = div.querySelector('svg');
    var img = div.querySelector('image');
    var path = div.querySelectorAll('path') || [];

    if (!svg) {
      return;
    }

    props.width && svg.setAttribute('width', props.width + '');
    props.height && svg.setAttribute('height', props.height + '');

    if (img) {
      img.setAttribute('width', '100%');
      img.setAttribute('height', '100%');
    }

    var title = div.querySelector('title');

    if (title) {
      title.innerHTML = '';
    }

    var defs = div.querySelector('defs');

    if (defs) {
      defs.innerHTML = '';
    }

    if (path && path.length && props.color) {
      Array.prototype.slice.apply(path).map(function (el) {
        el.setAttribute('fill', props.color);
      });
    }
  }, [htmlString, props.color]);
  return /*#__PURE__*/React.createElement("i", {
    ref: anticonRef,
    className: "anticon ".concat(classNameHandle()),
    style: _objectSpread({
      verticalAlign: 'middle'
    }, props.style),
    dangerouslySetInnerHTML: {
      __html: htmlString
    }
  });
}