function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState, useEffect } from 'react';
import { Form, Drawer } from 'kts-xui';
import { Space, Button, Select } from 'kts-components-antd-x4';
import { ConfigProvider } from 'kts-components-antd-x4'; // import Icon, { InfoCircleOutlined } from '@ant-design/icons';

import CollectTabs from "./CollectTabs";
import zhCN from 'kts-components-antd-x4/lib/locale/zh_CN';
import CollectController from "../Collect/CollectContext";
import "./index.less";
export default (function (props) {
  var _useState = useState('1'),
      _useState2 = _slicedToArray(_useState, 2),
      type = _useState2[0],
      setType = _useState2[1];

  var _useState3 = useState('scanGun'),
      _useState4 = _slicedToArray(_useState3, 2),
      invoiceWayType = _useState4[0],
      setInvoiceWayType = _useState4[1];

  var _Form$useForm = Form.useForm(),
      _Form$useForm2 = _slicedToArray(_Form$useForm, 1),
      form = _Form$useForm2[0];

  var submitForm = function submitForm() {
    form.submit();
    var aFormData = form.getFieldsValue(true);
    console.log('获取表单值：', aFormData);
  };

  useEffect(function () {
    form.setFieldsValue({
      invoiceType: type,
      amountWithoutTax: '',
      invoiceCode: '',
      invoiceDate: null,
      invoiceNumber: '',
      invoiceParityCode: ''
    });
  }, [invoiceWayType]);
  return /*#__PURE__*/React.createElement(CollectController.Provider, {
    value: _objectSpread({}, props)
  }, /*#__PURE__*/React.createElement(ConfigProvider, {
    locale: zhCN
  }, /*#__PURE__*/React.createElement(Space, null, /*#__PURE__*/React.createElement(Drawer, {
    title: "\u91C7\u96C6\u53D1\u7968",
    placement: "right",
    onClose: props.onClose,
    width: 473,
    visible: props.visible,
    footer: /*#__PURE__*/React.createElement("div", {
      style: {
        textAlign: 'right'
      }
    }, /*#__PURE__*/React.createElement(Button, {
      onClick: props.onClose,
      style: {
        marginRight: 8
      }
    }, "\u53D6\u6D88"), /*#__PURE__*/React.createElement(Button, {
      onClick: submitForm,
      type: "primary"
    }, "\u63D0\u4EA4"))
  }, /*#__PURE__*/React.createElement(Form, {
    form: form,
    layout: 'vertical'
  }, /*#__PURE__*/React.createElement(Form.Item, {
    name: "invoiceType",
    label: "\u53D1\u7968\u7C7B\u578B",
    className: "collecth1",
    initialValue: type
  }, /*#__PURE__*/React.createElement(Select, {
    onChange: function onChange(v) {
      return setType(v + '');
    }
  }, /*#__PURE__*/React.createElement(Select.Option, {
    value: "1"
  }, "\u589E\u503C\u7A0E\u53D1\u7968"), /*#__PURE__*/React.createElement(Select.Option, {
    value: "2"
  }, "\u5176\u4ED6"))), /*#__PURE__*/React.createElement("div", {
    style: {
      'padding': '8px 0px',
      'borderTop': '1px solid #E6E6E6'
    }
  }), /*#__PURE__*/React.createElement(Form.Item, {
    name: "invoiceWay",
    label: "\u91C7\u96C6\u65B9\u5F0F",
    className: "collecth1 collectwaytitle",
    initialValue: invoiceWayType,
    style: {
      marginBottom: '0'
    }
  }, /*#__PURE__*/React.createElement(CollectTabs, {
    setInvoiceWayType: setInvoiceWayType
  })))))));
});